View a list of room recordings.
GET
/
room_recordings
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const roomRecordingListResponse of client.roomRecordings.list()) {
console.log(roomRecordingListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.room_recordings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.RoomRecordings.List(context.TODO(), telnyx.RoomRecordingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingListPage;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomRecordingListPage page = client.roomRecordings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.room_recordings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->roomRecordings->list(
filter: [
'dateEndedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'dateStartedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'durationSecs' => 20,
'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'status' => 'completed',
'type' => 'audio',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-recordings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/room_recordings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6b61621f-62e0-4aad-ab11-9fd19e272e73",
"room_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
"session_id": "8b61621f-5fe4-4aad-ab11-9fd19e272e73",
"participant_id": "9b61621f-5fe4-4aad-ab11-9fd19e272e73",
"status": "completed",
"download_url": "https://www.example.com",
"type": "audio",
"duration_secs": 3660,
"size_mb": 5.6,
"codec": "opus",
"created_at": "2021-04-16T09:46:20.954863Z",
"updated_at": "2021-04-16T10:24:55.962200Z",
"started_at": "2021-04-16T09:24:55.962200Z",
"ended_at": "2021-04-16T10:24:55.962200Z",
"completed_at": "2021-04-16T10:25:55.962200Z",
"record_type": "room_session"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"success": false,
"message": "Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated filter parameter (deepObject style). Originally: filter[date_ended_at][eq], filter[date_ended_at][gte], filter[date_ended_at][lte], filter[date_started_at][eq], filter[date_started_at][gte], filter[date_started_at][lte], filter[room_id], filter[participant_id], filter[session_id], filter[status], filter[type], filter[duration_secs]
Show child attributes
Show child attributes
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const roomRecordingListResponse of client.roomRecordings.list()) {
console.log(roomRecordingListResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.room_recordings.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.RoomRecordings.List(context.TODO(), telnyx.RoomRecordingListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingListPage;
import com.telnyx.sdk.models.roomrecordings.RoomRecordingListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
RoomRecordingListPage page = client.roomRecordings().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.room_recordings.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->roomRecordings->list(
filter: [
'dateEndedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'dateStartedAt' => [
'eq' => '2021-04-25', 'gte' => '2021-04-25', 'lte' => '2021-04-25'
],
'durationSecs' => 20,
'participantID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'roomID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'sessionID' => '0ccc7b54-4df3-4bca-a65a-3da1ecc777f0',
'status' => 'completed',
'type' => 'audio',
],
pageNumber: 0,
pageSize: 0,
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx room-recordings list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/room_recordings \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "6b61621f-62e0-4aad-ab11-9fd19e272e73",
"room_id": "7b61621f-5fe4-4aad-ab11-9fd19e272e73",
"session_id": "8b61621f-5fe4-4aad-ab11-9fd19e272e73",
"participant_id": "9b61621f-5fe4-4aad-ab11-9fd19e272e73",
"status": "completed",
"download_url": "https://www.example.com",
"type": "audio",
"duration_secs": 3660,
"size_mb": 5.6,
"codec": "opus",
"created_at": "2021-04-16T09:46:20.954863Z",
"updated_at": "2021-04-16T10:24:55.962200Z",
"started_at": "2021-04-16T09:24:55.962200Z",
"ended_at": "2021-04-16T10:24:55.962200Z",
"completed_at": "2021-04-16T10:25:55.962200Z",
"record_type": "room_session"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}{
"success": false,
"message": "Error"
}